Summary: A Perl interpreter for the Apache Web server.
Name: mod_perl
Version: 1.19
Release: 1
Group: System Environment/Daemons
Source0: http://www.perl.com/CPAN/by-module/Apache/%{name}-%{version}.tar.gz
Patch0: %{name}-1.16-rh.patch
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root
Requires: webserver perl = 5.004m7

%description
Mod_perl incorporates a Perl interpreter into the Apache web
server, so that the Apache web server can directly execute Perl
code.  Mod_perl links the Perl runtime library into the Apache
web server and provides an object-oriented Perl interface for
Apache's C language API.  The end result is a quicker CGI script
turnaround process, since no external Perl interpreter has to
be started.

Install mod_perl if you're installing the Apache web server and
you'd like for it to directly incorporate a Perl interpreter.

%prep
%setup -q
%patch -p1 -b .rh

%build
perl Makefile.PL \
	USE_APXS=1 \
	WITH_APXS=/usr/sbin/apxs \
	EVERYTHING = 1

(cd apaci; ln -s ../src/modules .; chmod +x find_source)
make

%install
%ifarch i386
%define buildarch i386
%endif
%ifarch alpha
%define buildarch alpha
%endif
%ifarch sparc
%define buildarch sparc
%endif

rm -rf $RPM_BUILD_ROOT
make pure_install PREFIX=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 apaci/libperl.so $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod
install -m 644 htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT/home/httpd/html/manual/mod

PACKLIST=$RPM_BUILD_ROOT/usr/lib/perl5/site_perl/%{buildarch}-linux/auto/mod_perl/.packlist
mv $PACKLIST $PACKLIST.old
sed -e "s|$RPM_BUILD_ROOT||g" < $PACKLIST.old > $PACKLIST
rm -f $PACKLIST.old
find $RPM_BUILD_ROOT -type f -o -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" > file-list.lst
cd faq; make

%clean
rm -rf $RPM_BUILD_ROOT
rm -f file-list.lst

%files -f file-list.lst
%doc README INSTALL faq/*.html eg
%doc ToDo apache-modlist.html
%dir /usr/lib/perl5/site_perl/%{buildarch}-linux/auto/Apache
%dir /usr/lib/perl5/site_perl/Apache
%dir /usr/lib/perl5/site_perl/Apache/Constants
%dir /usr/lib/perl5/site_perl/Bundle

%changelog
* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- backport to SWS/RHL 5.2 for glibc 2.0
- require perl 5.004m7 (5.2 errata perl)

* Wed Apr 07 1999 Preston Brown <pbrown@redhat.com>
- bugfix 1.19 release from Doug

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- experimental patch from Doug MacEachern <dougm@pobox.com> to fix segfault
- rebuilt against apache 1.3.6

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Sun Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to mod_perl 1.18.

* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- Upgraded to mod_perl 1.16.

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- disabled stacked_handlers.  They still seem busted!
- minor updates so no conflicts with either apache / secureweb
- fixed bug building on multiple architectures

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- Updates for apache 1.3.x, and mod_perl 1.15

* Fri Feb 27 1998 Cristian Gafton <gafton@redhat.com>
- added a patch to compile it as a shared object for the apache/ssl (and
  future revisions of apache)

